# 80×86 Architecture: Watcom Runtime

Assembler code

```
0010600C                 jmp     loc_105F29
00106011 ; ---------------------------------------------------------------------------
00106011
00106011 loc_106011:                             ; DATA XREF: .text:00105E2E↑o
00106011                 mov     edx, offset aNew ; "new"
00106016                 jmp     loc_105F29
0010601B ; ---------------------------------------------------------------------------
0010601B
0010601B loc_10601B:                             ; DATA XREF: .text:00105E66↑o
0010601B                 mov     edx, offset aNew_0 ; "new []"
00106020                 jmp     loc_105F29
00106025 ; ---------------------------------------------------------------------------
00106025
00106025 loc_106025:                             ; DATA XREF: .text:00105E32↑o
00106025                 mov     edx, offset aDelete ; "delete"
0010602A                 jmp     loc_105F29
0010602F ; ---------------------------------------------------------------------------
0010602F
0010602F loc_10602F:                             ; DATA XREF: .text:00105E62↑o
0010602F                 mov     edx, offset aDelete_0 ; "delete []"
00106034                 jmp     loc_105F29
00106039 ; ---------------------------------------------------------------------------
00106039
00106039 loc_106039:                             ; DATA XREF: .text:00105E36↑o
00106039                 movzx   edx, byte_10D7FC
00106040                 jmp     loc_105EC9
00106045 ; ---------------------------------------------------------------------------
00106045
00106045 loc_106045:                             ; DATA XREF: .text:00105E56↑o
00106045                 test    byte ptr [ecx+34h], 8
00106049                 jz      short loc_106052
0010604B                 mov     eax, ecx
0010604D                 call    sub_105D68
00106052
00106052 loc_106052:                             ; CODE XREF: .text:00106049↑j
00106052                 mov     edx, offset asc_10D83F ; "::"
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/9.0/user-guide/disassembler/disassembly-gallery/80-86-architecture-watcom-runtime.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
